httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Trevor Hurst <t...@sgi.com>
Subject Re: Apache 2.0.44 w/ auth_ldap build errors
Date Thu, 27 Feb 2003 18:01:18 GMT
Cliff Woolley wrote:
> 
> On Wed, 26 Feb 2003, Trevor Hurst wrote:
> 
> > > Because when I run the make I get the following errors:
> > >
> > > -static -c mod_auth_ldap.c && touch mod_auth_ldap.lo
> > > mod_auth_ldap.c:82:2: #error mod_auth_ldap requires APR-util to have LDAP
> > > support built in
> 
> If you go into the apr-util directory and run ./configure --help, among
> other things it will tell you:
> 
>   --with-ldap-include=path  path to ldap include files with trailing slash
>   --with-ldap-lib=path    path to ldap lib file
>   --with-ldap=library     ldap library to use
> 
> Go back to the top-level Apache directory and pass ./configure these
> arguments, and it will pass them through to apr-util for you.
> 
> I admit this is not entirely obvious, but it's just the way it is.
> 
> --Cliff

Thanks Cliff!! I'll grab the latest apr and apr-util and give that a
shot. I knew there was an explanation. 

Cheers,

-- Trev

-- 
Trevor Hurst
Senior Systems Administrator
DCO Unix Production Systems
Silicon Graphics
Office Ph: 650.933.6144
e-mail: trev@sgi.com
pager: trev_p@pager.sgi.com

--
Thus a mind that is free from passion is a very citadel;
man has no stronger fortress in which to seek shelter and
defy every assault. Failure to perceive this is ignorance;
but to perceive it, and still not to seek its refuge, is
misfortune indeed. --Marcus Aurelius

Mime
View raw message